classification
Title: CROSS: initialise include and library paths in setup.py
Type: compile error Stage: patch review
Components: Cross-Build Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, devurandom, doko, jcea, rpetrov
Priority: normal Keywords: easy, patch

Created on 2012-07-29 09:40 by rpetrov, last changed 2013-02-02 16:34 by rpetrov. This issue is now closed.

Files
File name Uploaded Description Edit
1-CROSS-initialise-include-and-library-paths.patch rpetrov, 2012-07-29 09:40
0004-CROSS-initialise-include-and-library-paths.patch rpetrov, 2013-01-26 17:44
Messages (4)
msg166733 - (view) Author: Roumen Petrov (rpetrov) * Date: 2012-07-29 09:40
In setup.py  inc_dirs and lib_dirs are not initialized in cross-build case.
msg180585 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-01-25 14:14
I don't think this one is still necessary. can it be closed?
msg180691 - (view) Author: Roumen Petrov (rpetrov) * Date: 2013-01-26 17:44
> Matthias Klose added the comment:
> I don't think this one is still necessary. can it be closed?

If is difficult to confirm.
In scope of issue title initialization is fixed.

Another part of proposed path is to insert at first position current 
directory if cross build.
If this is not acceptable in scope of this then someone could open a new 
issue to set unconditionally in BLDLIBRARY current directory, i.e. to 
change configure script.

I don't like to touch existing native build so in scope of cross build 
this patch propose libdir to start with current.

Roumen
msg181175 - (view) Author: Roumen Petrov (rpetrov) * Date: 2013-02-02 16:18
I agree that current directory in library search path is different issue so I'm closing as fixed.
History
Date User Action Args
2013-02-02 16:34:34rpetrovsettype: behavior -> compile error
2013-02-02 16:18:07rpetrovsetstatus: open -> closed
resolution: fixed
messages: + msg181175
2013-01-26 17:44:14rpetrovsetfiles: + 0004-CROSS-initialise-include-and-library-paths.patch

messages: + msg180691
2013-01-25 14:14:11dokosetnosy: + doko
messages: + msg180585
2013-01-22 12:34:43ezio.melottisetkeywords: + easy
stage: patch review
type: behavior
versions: + Python 3.4
2012-10-22 12:01:35jceasetnosy: + jcea
2012-10-17 17:08:32Arfreversetnosy: + Arfrever
2012-10-17 08:46:39devurandomsetnosy: + devurandom
2012-07-29 10:02:05rpetrovsetcomponents: + Cross-Build
versions: + Python 3.3
2012-07-29 09:40:33rpetrovcreate